<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>netcoreapp3.0</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="appsettings.Development.json" />
    <None Remove="appsettings.json" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="appsettings.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="System.ServiceProcess.ServiceController" Version="4.7.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Mall.CacheManager\Mall.CacheManager.csproj" />
    <ProjectReference Include="..\Mall.Common\Mall.Common.csproj" />
    <ProjectReference Include="..\Mall.DataAccess\Mall.DataAccess.csproj" />
    <ProjectReference Include="..\Mall.Model\Mall.Model.csproj" />
    <ProjectReference Include="..\Mall.Repository\Mall.Repository.csproj" />
  </ItemGroup>

</Project>
